Bug 166633 - Review Request: mmv - move multiple files program
Review Request: mmv - move multiple files program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
http://home.nycap.rr.com/nagaland/rpms/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-23 22:54 EDT by Zing
Modified: 2009-04-13 12:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 10:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Zing 2005-08-23 22:54:48 EDT
http://home.nycap.rr.com/nagaland/rpms/mmv.spec
http://home.nycap.rr.com/nagaland/rpms/mmv-1.01b-1.src.rpm

Description:
howdy folks, I'd appreciate a new package review of mmv.  it's similar to but more flexible than rename...

mmv is a program to move/copy/append/link multiple files
according to a set of wildcard patterns.

I think the pristine "upstream" source is lost, but since debian's and suse's sources are identical, I just based off of debian's mmv_1.01b.orig.tar.gz (without the annoying .orig appendages).  The source is then patched up to debian's 12.2 release which includes compile/segfault/lfs patches.  lastly, I added in pie to the build.

thanks,
zing
Comment 1 Aurelien Bompard 2005-09-26 05:01:45 EDT
Blocker:
- Use the full source URL to the tarball in the source tag, even if it contains
".orig." (http://ftp.debian.org/debian/pool/main/m/mmv/mmv_1.01b.orig.tar.gz).

Possible improvements :
- Add symbolic links to mmv called mcp, mad and mln, as specified in the man page.
Comment 2 Zing 2005-09-28 20:34:31 EDT
Thanks!  I've updated the package here:

http://home.nycap.rr.com/nagaland/rpms/mmv.spec
http://home.nycap.rr.com/nagaland/rpms/mmv-1.01b-2.src.rpm

* Wed Sep 28 2005 Zing <shishz@hotpop.com> - 1.01b-2
- QA from Aurelien Bompard
-       don't change source name
-       symlink mcp/mad/mln
Comment 3 Aurelien Bompard 2005-09-29 01:08:21 EDT
Review for release 2:
* RPM name is OK
* Source mmv_1.01b.orig.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of mmv looks OK
* File list of mmv looks OK
* Works fine
APPROVED
Comment 4 Warren Togami 2005-09-29 21:40:00 EDT
* Wed Sep 28 2005 Zing <shishz@hotpop.com> - 1.01b-2
- QA from Aurelien Bompard
-       don't change source name
-       symlink mcp/mad/mln

This formatting looks a bit strange.  You really don't need to mention the QA
part and just list what actually changed instead without the indentation.
Comment 5 Christian Iseli 2007-01-02 19:39:58 EST
Changed summary for tracking purposes.
Comment 6 Till Maas 2009-04-12 16:34:15 EDT
Package Change Request
======================
Package Name: mmv
New Branches: EL-5
Owners: till

I would like to maintain a EL-5 branch of mmv, afaik the F-* maintainer does not want to participate in EPEL. He was asked a long time ago by Thorsten Leemhuis.
Comment 7 Kevin Fenzi 2009-04-13 11:41:40 EDT
cvs done.
Comment 8 Till Maas 2009-04-13 12:21:40 EDT
(In reply to comment #7)
> cvs done.  

Which branch did you use as the source for the new EL-5 branch? It seems not to be devel, because the spec is only at revision 9, but in devel it is at revision 11.
Comment 9 Kevin Fenzi 2009-04-13 12:28:14 EDT
By default EL-5 branches use FC-6 (if it exists) and devel if it does not.

(Since EL5 is based off of FC-6).

Note You need to log in before you can comment on or make changes to this bug.